function [gradh_theta, gradh_b] = gradNN_1Layer_2Neurons(x1,x2,y,theta,b)
%This calculates backpropagation for a NN of 1 hidden layer and 3 neurons
%Backpropagation returns the gradient in terms of theta and b

t = num2cell(theta);
[t1,t2,t3,t4,w1,w2] = deal(t{:});

tb = num2cell(b);
[b1,b2,c] = deal(tb{:});

%functions
g = @(z) 1./(1+exp(-z));
dg = @(z) (1-z).*z;
lc = @(thetaA, thetaB, B, term1, term2) thetaA*term1 + thetaB*term2 + B;

% forward pass
A1 = g(lc(t1,t2,b1,x1,x2));
A2 = 
A3 = 
Dg = dg(A3);
Dg1 = 
Dg2 = 
A4 = A3-y;

%backward pass
Dt1 = A4.*Dg.*(w1*Dg1*x1);
Dt2 = 
Dt3 = 
Dt4 = 
Dw1 = A4.*Dg.*A1;
Dw2 = 
Db1 = A4.*Dg.*(w1*Dg1*1);
Db2 = 
Dc = A4.*Dg.*1;

%gradient
gradh_theta = [Dt1,Dt2,Dt3,Dt4,Dw1,Dw2];
gradh_b = [Db1,Db2,Dc];

end